%define name 	synce-gnomevfs
%define release %mkrel 2
%define version 0.9.0 

%define major 	0
%define libname %mklibname %name %major

Summary: 	GnomeVFS module for accessing Windows CE and Pocket PC Devices
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	MIT
Group:  	Communications 
Source: 	http://ovh.dl.sourceforge.net/sourceforge/synce/%{name}-%{version}.tar.bz2
Patch0:		synce-gnomevfs-makefile.patch
URL: 		http://synce.sourceforge.net/
Buildroot:  	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	gnome-vfs2-devel
Requires:       synce        >= 0.9.0
BuildRequires:  libsynce-devel  >= 0.9.0
BuildRequires:	librapi-devel

%description
This plugin allows the Synce synchronization tool to interface with the GNOME
virtual file system.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x
%make -j1

%install
%makeinstall
rm -f $RPM_BUILD_ROOT/%{_libdir}/gnome-vfs-2.0/modules/libsyncevfs.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/gnome-vfs-2.0/modules/libsyncevfs.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README LICENSE
%config(noreplace) /etc/gnome-vfs-2.0/modules/synce-module.conf
%{_bindir}/synce-in-computer-folder
%{_datadir}/pixmaps/synce/synce-color.png
%{_datadir}/synce/synce-in-computer-folder.sh
%{_libdir}/gnome-vfs-2.0/modules/libsyncevfs.so


%changelog
* Thu May 31 2007 Funda Wang <fundawang@mandriva.org> 0.9.0-2mdv2007.1
+ Revision: 33044
- Add makefile patch from Fedora
- BuildRequires rapi2
- BuildRequires gnome-vfs2
- kill wrong changelog
- Bump release


* Fri Jan 09 2004 Austin Acton <austin@mandrake.org> 0.9.0-1mdk
- add a few more Mandrakeizations
- from Nicolas Lcureuil <neoclust@zarb.org> :
  - First mandrakelinux release adapting synce website rpm

